--- fedora-web.master-fedoraproject.fr.po	2010-04-05 18:10:47.000000000 +0200
+++ fedora-web.master-fedoraproject.tom.po	2010-04-05 18:10:56.000000000 +0200
@@ -3,7 +3,7 @@
 # Copyright (C) 2007 Fedora Project
 # This file is distributed under the same license as the project.
 #
-# Thomas Canniot <mrtom@fedoraproject.org>, 2007, 2008, 2009.
+# Thomas Canniot <mrtom@fedoraproject.org>, 2007, 2008, 2009, 2010.
 # Gauthier Ancelin <gauthier.ancelin@laposte.net>, 2007.
 # Johan Cwiklinski <johan@x-tnd.be>, 2008.
 # Sam Friedmann <sfriedma@redhat.com>, 2009.
@@ -12,9 +12,9 @@
 "Project-Id-Version: fedora-web.master-fedoraproject.fr_version_modifiée1\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
 "POT-Creation-Date: 2010-03-23 18:06-0400\n"
-"PO-Revision-Date: 2009-12-15 09:05+0100\n"
+"PO-Revision-Date: 2010-04-05 18:10+0200\n"
 "Last-Translator: Thomas Canniot <mrtom@fedoraproject.org>\n"
-"Language-Team: French <fedora-trans-fr@redhat.com>\n"
+"Language-Team: French <trans-fr@lists.fedoraproject.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -61,31 +61,31 @@
 msgstr "Questions juridiques"
 
 #: data/content/contact.html:17
-#, fuzzy
 msgid ""
 "If you have any legal questions that can be discussed in public, post to the "
 "<a href=\"http://lists.fedoraproject.org/mailman/listinfo/legal\">legal</a> "
 "list, or if you have any private legal questions send a mail to legal AT "
 "fedoraproject.org."
 msgstr ""
-"Si vous avez une question juridique qui peuvent qui peuvent être discutées "
-"en public, postez à <a href=\"http://www.redhat.com/mailman/listinfo/ fedora-"
-"legal-list\">fedora-legal-list</a> ou si vous avez une question juridique "
-"privée envoyez un courriel à legal AT fedoraproject.org."
+"Si vous avez des questions juridiques qui peuvent être discutées "
+"en public, postez sur <a href=\"http://lists.fedoraproject."
+"org/mailman/listinfo/legal\">fedora-legal-list</a> "
+"ou si vous avez une question juridique "
+"d'ordre privée envoyez un courriel à legal AT fedoraproject.org."
 
 #: data/content/contact.html:19
 msgid "Press"
 msgstr "Presse"
 
 #: data/content/contact.html:20
-#, fuzzy
 msgid ""
 "For Press related questions, please contact <a href=\"mailto:"
 "press@fedoraproject.org\">press@fedoraproject.org</a>.  This email address "
 "is not for general user support questions."
 msgstr ""
 "Pour des questions relatives à la presse, merci de contacter à <a href="
-"\"mailto:press@fedoraproject.org\">press@fedoraproject.org</a>."
+"\"mailto:press@fedoraproject.org\">press@fedoraproject.org</a>. Cette "
+"adresse email n'est pas destinée à des questions de support."
 
 #: data/content/contact.html:22
 msgid "Website Issues"
@@ -670,13 +670,12 @@
 msgstr "IRC : #fedora sur irc.freenode.org"
 
 #: data/content/get-help.html:17
-#, fuzzy
 msgid ""
 "Mailing List: <a href=\"http://lists.fedoraproject.org/mailman/listinfo/users"
 "\">users</a>"
 msgstr ""
-"Liste de diffusion : <a href=\"http://www.redhat.com/mailman/listinfo/fedora-"
-"list\">Fedora-list</a>"
+"Liste de diffusion : <a href=\"http://lists.fedoraproject."
+"org/mailman/listinfo/users\">utilisateurs</a>"
 
 #: data/content/get-help.html:18
 msgid "Forum: <a href=\"http://fedoraforum.org/\">Fedora Forum</a>"
@@ -757,15 +756,15 @@
 "des problèmes, vous permettant de les aider si vous connaissez la solution."
 
 #: data/content/get-help.html:34
-#, fuzzy
 msgid ""
 "The mailing list for end-user support with Fedora is <a href=\"http://lists."
 "fedoraproject.org/mailman/listinfo/users\">users</a> and can be subscribed "
 "to by following that link."
 msgstr ""
 "La liste de diffusion pour le support de l'utilisateur final avec Fedora est "
-"<a href=\"http://www.redhat.com/mailman/listinfo/fedora-list\">fedora-list</"
-"a> et peut être souscrite par le lien."
+"<a href=\"http://lists.fedoraproject.org/mailman/listinfo/users\">"
+"utilisateurs</"
+"a> et vous pouvez vous y inscrire en suivant le lien."
 
 #: data/content/get-help.html:36
 msgid "Forum Support"
@@ -1104,22 +1103,20 @@
 msgstr "Clés actuellement utilisées"
 
 #: data/content/keys.html:67
-#, fuzzy
 msgid ""
 "Download: <a href=\"https://fedoraproject.org/static/E8E40FDE.txt\">Fedora "
 "Project</a>"
 msgstr ""
-"Télécharger : <a href=\"https://fedoraproject.org/static/0B86274E.txt"
+"Télécharger : <a href=\"https://fedoraproject.org/static/E8E40FDE.txt"
 "\">Projet Fedora</a>"
 
 #: data/content/keys.html:68
-#, fuzzy
 msgid ""
 "Download: <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
 "search=0xE8E40FDE&op=get\">keys.gnupg.net</a>"
 msgstr ""
 "Télécharger : <a href=\"http://keys.gnupg.net:11371/pks/lookup?"
-"search=0x0B86274E&op=get\">keys.gnupg.net</a>"
+"search=0xE8E40FDE&op=get\">keys.gnupg.net</a>"
 
 #: data/content/keys.html:80
 msgid ""
@@ -1421,6 +1418,9 @@
 "of the PGP signature.  It does <strong>not</strong> specify the type of hash "
 "used to verify the .iso files."
 msgstr ""
+"Notez que la ligne <em>Hash: SHA1</em> présente dans le fichier CHECKSUM "
+"fait partie de la signature PGP.  Elle ne sert <strong>pas</strong> à "
+"préciser le type de hashage utilisé pour vérifier les fichiers .iso."
 
 #: data/content/verify.html:15
 msgid ""
@@ -1437,6 +1437,10 @@
 "verify your ISO, start by downloading the proper CHECKSUM file into the same "
 "directory as the ISO:"
 msgstr ""
+"Une fois que vous avez téléchargé une ISO, vérifiez son intégrité par "
+"sécurité. Pour "
+"vérifier votre ISO, téléchargez le fichier CHECKSUM depuis le même "
+"répertoire que l'ISO :"
 
 #: data/content/verify.html:20
 msgid "Install DVD / Rescue CD"
@@ -1488,7 +1492,6 @@
 "checksum de l'ISO corresponde à : "
 
 #: data/content/verify.html:56
-#, fuzzy
 msgid "If the output states that the file is valid, then you're good to go!"
 msgstr ""
 "Si la sortie vous assure que le fichier est valide, vous pouvez y aller !"
@@ -1546,12 +1549,12 @@
 msgstr "Téléchargez Fedora !"
 
 #: data/templates/foot.html:9
-#, fuzzy, python-format
+#, python-format
 msgid ""
 "&copy; 2010 Red Hat, Inc. and others.  For comments or queries, please <a "
 "href=\"%s/%s/contact\">contact us</a>."
 msgstr ""
-"Copyright &copy; 2009 Red Hat, Inc. et autres. Pour des commentaires ou des "
+"&copy; 20 Red Hat, Inc. et autres. Pour des commentaires ou des "
 "questions, merci de <a href=\"%s/%s/contact\">nous contacter</a>."
 
 #: data/templates/foot.html:12
@@ -1653,9 +1656,8 @@
 msgstr "Langue du site web"
 
 #: data/templates/sidebar.html:37
-#, fuzzy
 msgid "Hosting Sponsor"
-msgstr "Sponsors"
+msgstr "Sponsors d'hébergement"
 
 #~ msgid ""
 #~ "Once you have downloaded an ISO, verify it for security and integrity.  "