--- im-chooser.old.fr.po 
+++ im-chooser.trunk.fr.po 
@@ -1,6 +1,6 @@
-# translation of im-chooser.trunk.fr-3.po to Français
+# translation of im-chooser to Français
 # French translations for im-chooser package.
-# Copyright (C) 2006 Red Hat, Inc. All rights reserved.
+# Copyright (C) 2006-2008 Red Hat, Inc. All rights reserved.
 # This file is distributed under the same license as the im-chooser package.
 #
 # Automatically generated, 2006.
@@ -8,13 +8,15 @@
 # Thomas Canniot <mrtom@fedoraproject.org>, 2006, 2007, 2008.
 # Decroux Fabien <fdecroux@redhat.com>, 2006.
 # Mathieu Schopfer <mat.schopfer@bluewin.ch>, 2008.
+# Robert-André Mauchin <zebob.m@pengzone.org>, 2008.
+#
 msgid ""
 msgstr ""
-"Project-Id-Version: im-chooser.trunk.fr-3\n"
+"Project-Id-Version: im-chooser trunk\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2008-03-12 07:55+0000\n"
-"PO-Revision-Date: 2008-02-29 22:20+0100\n"
-"Last-Translator: Mathieu Schopfer <mat.schopfer@bluewin.ch>\n"
+"POT-Creation-Date: 2008-03-12 07:57+0000\n"
+"PO-Revision-Date: 2008-03-13 18:37:36+0100\n"
+"Last-Translator: Robert-André Mauchin <zebob.m@pengzone.org>\n"
 "Language-Team: Français <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -150,7 +152,7 @@
 
 #: ../imsettings/imsettings/imsettings-info.c:583
 msgid "Whether or not IM is a system default."
-msgstr "Choisir si IM est ou pas un paramètre par défaut du système."
+msgstr "Indique si IM est un paramètre par défaut du système."
 
 #: ../imsettings/imsettings/imsettings-info.c:588
 msgid "User Default"
@@ -158,7 +160,7 @@
 
 #: ../imsettings/imsettings/imsettings-info.c:589
 msgid "Whether or not IM is an user default."
-msgstr "Choisir si IM est ou pas un paramètre par défaut de l'utilisateur."
+msgstr "Indique si IM est un paramètre par défaut de l'utilisateur."
 
 #: ../imsettings/imsettings/imsettings-info.c:594
 msgid "XIM"
@@ -166,29 +168,28 @@
 
 #: ../imsettings/imsettings/imsettings-info.c:595
 msgid "Whether or not IM is a XIM server."
-msgstr "Choisir si IM est ou pas un serveur XIM."
+msgstr "Indique si IM est un serveur XIM."
 
 #: ../imsettings/imsettings/imsettings-info-private.h:39
 msgid "User Specific"
-msgstr ""
+msgstr "Spécifique à l'utilisateur"
 
 #: ../imsettings/imsettings/imsettings-info-private.h:40
 msgid "xinputrc was modified by the user"
-msgstr ""
+msgstr "xinputrc a été modifié par l'utilisateur"
 
 #: ../imsettings/imsettings/imsettings-observer.c:255
 #, c-format
 msgid "Invalid IM module type: %d"
-msgstr "Type de module IM invalide : %d"
+msgstr "Type de module IM invalide : %d"
 
 #: ../imsettings/imsettings/imsettings-observer.c:695
 msgid "IM module name"
 msgstr "Nom du module IM"
 
 #: ../imsettings/imsettings/imsettings-observer.c:696
-#, fuzzy
 msgid "A target IM module name that to observe signals"
-msgstr "Un nom de module IM à surveiller rapporte"
+msgstr "Un nom de module IM cible destiné à surveiller les signaux"
 
 #: ../imsettings/imsettings/imsettings-observer.c:701
 msgid "Replace"
@@ -241,7 +242,7 @@
 "Failed to invoke a method `%s':\n"
 "  %s"
 msgstr ""
-"Impossible d'appeler la méthode « %s » :\n"
+"L'appel à la méthode « %s » a échoué :\n"
 "  %s"
 
 #: ../imsettings/imsettings/imsettings-request.c:672
@@ -250,18 +251,18 @@
 "Failed to invoke a method `%s' on %s:\n"
 "  %s"
 msgstr ""
-"Impossible d'appeler la méthode « %s » sur %s :\n"
+"L'appel à la méthode « %s » sur %s a échoué :\n"
 "  %s"
 
 #: ../imsettings/src/factory.c:136
 #, c-format
 msgid "Failed to remove a pidfile: %s"
-msgstr "Impossible de supprimer un fichier PID : %s"
+msgstr "La suppression du fichier PID a échoué : %s"
 
 #: ../imsettings/src/factory.c:178
 #, c-format
 msgid "Failed to open a pidfile: %s"
-msgstr "Impossible d'ouvrir un fichier PID : %s"
+msgstr "L'ouverture du fichier PID a échoué : %s"
 
 #: ../imsettings/src/factory.c:282
 #, c-format
@@ -275,37 +276,37 @@
 
 #: ../imsettings/src/factory.c:314 ../imsettings/src/factory.c:600
 msgid "Failed to get a place of home directory."
-msgstr "Impossible d'obtenir un emplacement de répertoire personnel."
+msgstr "L'obtention d'un emplacement de répertoire personnel a échoué."
 
 #: ../imsettings/src/factory.c:331
 #, c-format
 msgid "Failed to revert the backup file: %s"
-msgstr "Impossible de restaurer le fichier de sauvegarde : %s"
+msgstr "Le rétablissement du fichier de sauvegarde a échoué : %s"
 
 #: ../imsettings/src/factory.c:343
 #, c-format
 msgid "Failed to create a backup file: %s"
-msgstr "Impossible de créer le fichier de sauvegarde : %s"
+msgstr "La création d'un fichier de sauvegarde a échoué : %s"
 
 #: ../imsettings/src/factory.c:352
 #, c-format
 msgid "Failed to remove a .xinputrc file: %s"
-msgstr "Impossible de supprimer un fichier .xinputrc : %s"
+msgstr "La suppression d'un fichier .xinputrc a échoué : %s"
 
 #: ../imsettings/src/factory.c:363
 #, c-format
 msgid "Failed to make a symlink: %s"
-msgstr "Impossible d'établir un lien symbolique : %s"
+msgstr "L'établissement d'un lien symbolique a échoué : %s"
 
 #: ../imsettings/src/factory.c:478 ../imsettings/src/factory_info.c:526
 #, c-format
 msgid "No such input method on your system: %s"
-msgstr "Cette méthode de saisie est indisponible sur votre système : %s"
+msgstr "Cette méthode de saisie est indisponible sur votre système : %s"
 
 #: ../imsettings/src/factory.c:498
 #, c-format
 msgid "No XIM server is available in %s"
-msgstr ""
+msgstr "Aucun serveur XIM n'est disponible dans %s"
 
 #: ../imsettings/src/factory.c:646
 msgid "X display name"
@@ -334,7 +335,7 @@
 
 #: ../imsettings/src/factory.c:725
 msgid "Failed to open a X display."
-msgstr "Impossible d'ouvrir une session X."
+msgstr "L'ouverture d'une session X a échoué."
 
 #: ../imsettings/src/factory_info.c:127
 msgid "Reloading...\n"
@@ -343,13 +344,13 @@
 #: ../imsettings/src/factory_info.c:188
 #, c-format
 msgid "Duplicate entry `%s' from %s. SHORT_DESC has to be unique."
-msgstr "Double entrée `%s' depuis %s. SHORT_DESC doit être unique."
+msgstr "Entrée « %s » dupliquée depuis %s. SHORT_DESC doit être unique."
 
 #: ../imsettings/src/factory_info.c:446 ../imsettings/src/factory_info.c:484
 #: ../imsettings/src/factory_info.c:500 ../imsettings/src/factory_info.c:518
 #, c-format
 msgid "Timed out to initialize %s services."
-msgstr ""
+msgstr "Délai dépassé lors de l'initialisation des services %s."
 
 #: ../imsettings/src/factory_info.c:469
 msgid "No input methods available on your system."
@@ -366,50 +367,48 @@
 #: ../imsettings/utils/imsettings-restart.c:44
 #: ../imsettings/utils/imsettings-stop.c:43
 msgid "Do not update .xinputrc."
-msgstr ""
+msgstr "Ne pas mettre à jour .xinputrc."
 
 #: ../imsettings/utils/imsettings-stop.c:80
 #, c-format
 msgid "Stopped %s\n"
-msgstr ""
+msgstr "Arrêté %s\n"
 
 #: ../imsettings/utils/imsettings-stop.c:82
-#, fuzzy, c-format
+#, c-format
 msgid "Failed to stop IM process `%s'\n"
-msgstr "Impossible d'ouvrir un fichier PID : %s"
+msgstr "L'arrêt du processus IM « %s » a échoué\n"
 
 #: ../src/im-chooser-simple.c:145
-#, fuzzy
 msgid "Updating Input Method list"
-msgstr "Méthode de saisie"
+msgstr "Mise à jour de la liste des méthodes de saisie"
 
 #: ../src/im-chooser-simple.c:310 ../src/im-chooser-simple.c:344
-#, fuzzy
 msgid "Failed to start Input Method"
-msgstr "Méthode de saisie"
+msgstr "Le démarrage de la méthode de saisie a échoué"
 
 #: ../src/im-chooser-simple.c:407
-#, fuzzy, c-format
+#, c-format
 msgid "Starting Input Method - %s"
-msgstr "Méthode de saisie"
+msgstr "Démarrage de la méthode de saisie - %s"
 
 #: ../src/im-chooser-simple.c:424
-#, fuzzy, c-format
+#, c-format
 msgid "Stopping Input Method - %s"
-msgstr "Méthode de saisie"
+msgstr "Arrêt de la méthode de saisie - %s"
 
 #: ../src/im-chooser-simple.c:542
 msgid "Parent Window"
-msgstr ""
+msgstr "Fenêtre parente"
 
 #: ../src/im-chooser-simple.c:543
 msgid "GtkWindow that points to the parent window"
-msgstr ""
+msgstr "Fenêtre GtkWindow qui indique la fenêtre parente"
 
 #. setup a progress window
 #: ../src/im-chooser-simple.c:583
 msgid "Work in progress..."
-msgstr ""
+msgstr "Traitement en cours..."
 
 #: ../src/im-chooser-simple.c:641
 #, c-format
@@ -437,7 +436,7 @@
 "<small><i>Note: this change will not take effect until you next log in, "
 "except GTK+ applications.</i></small>"
 msgstr ""
-"<small><i>Note : ce changement ne prendra effet qu'à votre prochaine "
+"<small><i>Note : ce changement ne prendra effet qu'à votre prochaine "
 "connexion, sauf pour les applications GTK+.</i></small>"
 
 #: ../src/im-chooser-simple.c:805
@@ -457,11 +456,11 @@
 
 #: ../src/main.c:153
 msgid "IM Chooser - Input Method configuration tool"
-msgstr "IM Chooser - Outil de configuration de méthode de saisie"
+msgstr "IM Chooser - Outil de configuration des méthodes de saisie"
 
 #: ../src/main.c:161
 msgid "_Log Out"
-msgstr "_Se déconnecter"
+msgstr "Se _déconnecter"
 
 #: ../src/im-chooser.desktop.in.in.h:1
 msgid ""