--- yum.master.fr.po.20080217	2008-02-17 11:40:52.000000000 +0100
+++ yum.master.fr.po	2008-02-25 19:29:57.000000000 +0100
@@ -8,7 +8,7 @@
 "Project-Id-Version: yum.master\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2008-02-08 09:51-0700\n"
-"PO-Revision-Date: 2008-02-17 11:40+0100\n"
+"PO-Revision-Date: 2008-02-25 19:29+0100\n"
 "Last-Translator: Johan Cwiklinski <johan@x-tnd.be>\n"
 "Language-Team: fr_FR <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
@@ -30,7 +30,7 @@
 
 #: ../callback.py:52 ../callback.py:58
 msgid "Obsoleted"
-msgstr "Déprécié"
+msgstr "Obsolète"
 
 #: ../callback.py:54 ../output.py:533
 msgid "Updated"
@@ -138,7 +138,7 @@
 
 #: ../cli.py:372 ../yum/__init__.py:2692
 msgid "ERROR with rpm_check_debug vs depsolve:"
-msgstr ""
+msgstr "ERREUR de résolution de dépendance par rpm_check_debug :"
 
 #: ../cli.py:376 ../yum/__init__.py:2694
 msgid "Please report this error in bugzilla"
@@ -179,7 +179,7 @@
 #: ../cli.py:494
 #, python-format
 msgid "No package %s available."
-msgstr "Aucun paquetage %s disponible"
+msgstr "Aucun paquetage %s disponible."
 
 #: ../cli.py:498 ../cli.py:616 ../yumcommands.py:748
 msgid "Package(s) to install"
@@ -193,7 +193,7 @@
 #: ../yum/__init__.py:2283
 #, python-format
 msgid "Not Updating Package that is already obsoleted: %s.%s %s:%s-%s"
-msgstr "Pas de mise à jour des paquetages qui ont déjà été dépréciés : %s.%s %s:%s-%s"
+msgstr "Pas de mise à jour des paquetages qui ont déjà été rendus obsolètes : %s.%s %s:%s-%s"
 
 #: ../cli.py:561
 #, python-format
@@ -236,9 +236,8 @@
 msgstr "Aucun paquetage trouvé pour %s"
 
 #: ../cli.py:734
-# Pas sûr du tout pour celle là
 msgid "Cleaning up Everything"
-msgstr "Nettoyage..."
+msgstr "Nettoyage complet"
 
 #: ../cli.py:748
 msgid "Cleaning up Headers"
@@ -370,18 +369,16 @@
 msgstr "désactive un ou plusieurs dépôts (jokers autorisés)"
 
 #: ../cli.py:1105
-# J'ai supposé ici que "glob" signifiait "gloabally", mais cela reste totu de même obscur
 msgid "exclude package(s) by name or glob"
-msgstr "exclut des paquetages par nom ou globalement"
+msgstr "exclut des paquetages par nom ou caractère générique"
 
 #: ../cli.py:1107
-# du fait de l'utilistion de dépôt principal, il faut spécifier pour l'autre
 msgid "disable exclude from main, for a repo or for everything"
 msgstr "désactive l'exclusion pour le dépôt principal, pour un dépôt particulier ou pour tout"
 
 #: ../cli.py:1110
 msgid "enable obsoletes processing during updates"
-msgstr "active le traitement des paquetages dépréciés pendant les mises à jour"
+msgstr "active le traitement des paquetages obsolètes pendant les mises à jour"
 
 #: ../cli.py:1112
 msgid "disable Yum plugins"
@@ -659,11 +656,14 @@
 
 #: ../output.py:593
 #, python-format
+# Aucune idée
 msgid ""
 "\n"
 " Current download cancelled, %sinterrupt (ctrl-c) again%s within %s%s%s "
 "seconds to exit.\n"
 msgstr ""
+"\n"
+"Téléchargement courant annulé,interruption %s (crtl-c), %s de nouveau dans %s%s%s secondes pour quitter.\n"
 
 #: ../output.py:603
 msgid "user interrupt"
@@ -679,7 +679,7 @@
 
 #: ../output.py:616
 msgid "obsoleted"
-msgstr "déprécié"
+msgstr "obsolète"
 
 #: ../output.py:617
 msgid "erased"
@@ -728,7 +728,7 @@
 
 #: ../yumcommands.py:36
 msgid "You need to be root to perform this command."
-msgstr "Vous devez être super-utilisateur pour lancer cette commande"
+msgstr "Vous devez être super-utilisateur pour lancer cette commande."
 
 #: ../yumcommands.py:43
 msgid ""
@@ -848,7 +848,7 @@
 
 #: ../yumcommands.py:221 ../yumcommands.py:225
 msgid "Obsoleting Packages"
-msgstr "Dépréciation des paquetages"
+msgstr "Obsolescence des paquetages"
 
 #: ../yumcommands.py:226
 msgid "Recently Added Packages"
@@ -916,7 +916,7 @@
 
 #: ../yumcommands.py:447
 msgid "Find what package provides the given value"
-msgstr "Cherche quel paquetage fournit la valeur donnée"
+msgstr "Cherche à quel paquetage correspond la valeur donnée"
 
 #: ../yumcommands.py:467
 msgid "Check for available package updates"
@@ -931,6 +931,7 @@
 msgstr "Recherche dans les paquetages :"
 
 #: ../yumcommands.py:513
+# "Mises à jour en tenant compte des paquetages obsolètes" semble assez proche, mais ne reprend pas la notion "account" :/
 msgid "Update packages taking obsoletes into account"
 msgstr ""
 
@@ -1090,7 +1091,7 @@
 msgstr ""
 "\n"
 "\n"
-"Sortie sur annulation par l'utilisateur"
+"Sortie sur annulation par l'utilisateur."
 
 #: ../yum/depsolve.py:70
 msgid "doTsSetup() will go away in a future version of Yum.\n"
@@ -1110,7 +1111,7 @@
 #: ../yum/depsolve.py:134
 #, python-format
 msgid "Searching pkgSack for dep: %s"
-msgstr ""
+msgstr "Recherche dans le regroupement pour la dépendance : %s"
 
 #: ../yum/depsolve.py:163
 #, python-format
@@ -1163,13 +1164,14 @@
 
 #: ../yum/depsolve.py:340
 #, python-format
+# Correct ? Je n'ai pas la moindre idée du contexte
 msgid "Mode is %s for provider of %s: %s"
-msgstr ""
+msgstr "Le mode est %s pour le fournisseur de %s : %s"
 
 #: ../yum/depsolve.py:344
 #, python-format
 msgid "Mode for pkg providing %s: %s"
-msgstr ""
+msgstr "Mode pour le paquetage qui fournit %s : %s"
 
 #: ../yum/depsolve.py:348
 #, python-format
@@ -1179,12 +1181,12 @@
 #: ../yum/depsolve.py:361
 #, python-format
 msgid "Looking for Obsoletes for %s"
-msgstr "Recherche de dépréciation pour %s"
+msgstr "Recherche d'obsolescence pour %s"
 
 #: ../yum/depsolve.py:373
 #, python-format
 msgid "TSINFO: Obsoleting %s with %s to resolve dep."
-msgstr "TSINFO : dépréciation de %s avec %s pour résoudre les dépendances."
+msgstr "TSINFO : Obsolescence de %s avec %s pour résoudre les dépendances."
 
 #: ../yum/depsolve.py:404
 #, python-format
@@ -1195,7 +1197,7 @@
 #: ../yum/depsolve.py:408
 #, python-format
 msgid "Cannot find an update path for dep for: %s"
-msgstr ""
+msgstr "Impossible de trouver un chemin de mise à jour pour la dépendance de : %s"
 
 #: ../yum/depsolve.py:420
 #, python-format
@@ -1211,12 +1213,12 @@
 #: ../yum/depsolve.py:481
 #, python-format
 msgid "Potential resolving package %s has newer instance in ts."
-msgstr ""
+msgstr "Le paquetage de dépedance potentiel %s est déjà dans ts en version plus récente."
 
 #: ../yum/depsolve.py:492
 #, python-format
 msgid "Potential resolving package %s has newer instance installed."
-msgstr ""
+msgstr "Le paquetage de dépedance potentiel %s est déjà installé dans une version plus récente."
 
 #: ../yum/depsolve.py:500 ../yum/depsolve.py:568
 #, python-format
@@ -1329,7 +1331,7 @@
 
 #: ../yum/__init__.py:416
 msgid "Setting up Package Sacks"
-msgstr ""
+msgstr "Configuration du groupe de paquetages"
 
 #: ../yum/__init__.py:458
 #, python-format
@@ -1381,12 +1383,12 @@
 #: ../yum/__init__.py:646
 #, python-format
 msgid "Skip-broken round %i"
-msgstr ""
+msgstr "Cycle %i d'évitement des dépendances cassées"
 
 #: ../yum/__init__.py:674
 #, python-format
 msgid "Skip-broken took %i rounds "
-msgstr ""
+msgstr "L'évitement des dépendances cassées a pris %i cycles"
 
 #: ../yum/__init__.py:675
 msgid ""
@@ -1409,7 +1411,7 @@
 #: ../yum/__init__.py:807
 #, python-format
 msgid "excluding for cost: %s from %s"
-msgstr ""
+msgstr "exclusion pour coût : %s depuis %s"
 
 #: ../yum/__init__.py:838
 msgid "Excluding Packages in global exclude list"
@@ -1423,12 +1425,12 @@
 #: ../yum/__init__.py:867
 #, python-format
 msgid "Reducing %s to included packages only"
-msgstr ""
+msgstr "Réduction de %s aux paquetages inclus uniquement"
 
 #: ../yum/__init__.py:872
 #, python-format
 msgid "Keeping included package %s"
-msgstr ""
+msgstr "Conservation du paquetage inclus %s"
 
 #: ../yum/__init__.py:878
 #, python-format
@@ -1520,22 +1522,22 @@
 #: ../yum/__init__.py:1271
 #, python-format
 msgid "Cannot remove %s file %s"
-msgstr ""
+msgstr "Impossible de supprimer depuis %s le fichier %s"
 
 #: ../yum/__init__.py:1275
 #, python-format
 msgid "%s file %s removed"
-msgstr ""
+msgstr "fichier de %s : %s supprimé"
 
 #: ../yum/__init__.py:1277
 #, python-format
 msgid "%d %s files removed"
-msgstr ""
+msgstr "%d fichiers de %s supprimés"
 
 #: ../yum/__init__.py:1317
 #, python-format
 msgid "More than one identical match in sack for %s"
-msgstr ""
+msgstr "Plus d'une correspondance identique dans le regroupement pour %s"
 
 #: ../yum/__init__.py:1323
 #, python-format
@@ -1552,8 +1554,9 @@
 
 #: ../yum/__init__.py:1550
 #, python-format
+# %d est un entirer il me semble, à confirmer
 msgid "Searching %d packages"
-msgstr ""
+msgstr "Recherche de %d paquetages"
 
 #: ../yum/__init__.py:1554
 #, python-format
@@ -1566,12 +1569,12 @@
 
 #: ../yum/__init__.py:1569
 msgid "searching in provides entries"
-msgstr ""
+msgstr "recherche dans les entrées de correspondance"
 
 #: ../yum/__init__.py:1599
 #, python-format
 msgid "Provides-match: %s"
-msgstr ""
+msgstr "Correspondance fournie : %s"
 
 #: ../yum/__init__.py:1668 ../yum/__init__.py:1686 ../yum/__init__.py:1714
 #: ../yum/__init__.py:1719 ../yum/__init__.py:1774 ../yum/__init__.py:1778
@@ -1597,7 +1600,7 @@
 #: ../yum/__init__.py:1815
 #, python-format
 msgid "Package tuple %s could not be found in packagesack"
-msgstr ""
+msgstr "Impossible de trouver le tuple de paquetage %s dans le regroupement"
 
 #: ../yum/__init__.py:1883 ../yum/__init__.py:1926
 msgid "Invalid versioned dependency string, try quoting it."
@@ -1613,6 +1616,7 @@
 msgstr "Aucun paquetage trouvé pour %s"
 
 #: ../yum/__init__.py:2034
+# Je ne vois toujours pas
 msgid "Package Object was not a package object instance"
 msgstr ""
 
@@ -1623,8 +1627,9 @@
 #. only one in there
 #: ../yum/__init__.py:2051
 #, python-format
+# Aucune idée
 msgid "Checking for virtual provide or file-provide for %s"
-msgstr ""
+msgstr "Recherche de correspondance virtuelle ou de correspondance fichier pour %s"
 
 #: ../yum/__init__.py:2057 ../yum/__init__.py:2323
 #, python-format
@@ -1650,12 +1655,12 @@
 #. update everything (the easy case)
 #: ../yum/__init__.py:2180
 msgid "Updating Everything"
-msgstr "Mise à jour..."
+msgstr "Mise à jour complète"
 
 #: ../yum/__init__.py:2264
 #, python-format
 msgid "Package is already obsoleted: %s.%s %s:%s-%s"
-msgstr "Paquetage déjà déprécié : %s.%s %s:%s-%s"
+msgstr "Paquetage déjà rendu obsolète : %s.%s %s:%s-%s"
 
 #: ../yum/__init__.py:2320
 #, python-format
@@ -1782,7 +1787,7 @@
 #: ../yum/__init__.py:2757
 #, python-format
 msgid "Package %s conflicts with %s."
-msgstr "Le paquetage %s entre en conflit avec %s"
+msgstr "Le paquetage %s entre en conflit avec %s."
 
 #. Mostly copied from YumOutput._outKeyValFill()
 #: ../yum/plugins.py:193