--- smolt.master.fr.po	2008-01-15 23:07:27.000000000 +0100
+++ smolt2.fr.po	2008-01-19 23:25:25.000000000 +0100
@@ -1,16 +1,16 @@
-# translation of fr.po to Français
+# translation of smolt (copie).master.po to Français
 # Header entry was created by KBabel!
 #
-# Thomas Canniot <thomas.canniot@laposte.net>, 2007.
+# Thomas Canniot <mrtom@fedoraproject.org>, 2007, 2008.
 # Alain PORTAL <aportal@univ-montp2.fr>, 2007.
 msgid ""
 msgstr ""
-"Project-Id-Version: fr\n"
+"Project-Id-Version: smolt (copie).master\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2008-01-03 15:35-0500\n"
-"PO-Revision-Date: 2007-05-04 10:42+0200\n"
-"Last-Translator: Alain PORTAL <aportal@univ-montp2.fr>\n"
-"Language-Team: Français <traduc@traduc.org>\n"
+"PO-Revision-Date: 2008-01-19 23:02+0100\n"
+"Last-Translator: Thomas Canniot <mrtom@fedoraproject.org>\n"
+"Language-Team: Français <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
@@ -56,11 +56,11 @@
 
 #: sendProfile.py:53
 msgid "(optional) Fedora Account System registration"
-msgstr ""
+msgstr "Enregistrement au Système de Compte Fedora (optionnel)"
 
 #: sendProfile.py:58
 msgid "password, will prompt if not specified"
-msgstr ""
+msgstr "password, si non spécifié, vous serez averti"
 
 #: sendProfile.py:68
 msgid "don't prompt to send, just send"
@@ -80,11 +80,10 @@
 
 #: sendProfile.py:93
 msgid "only scan this machine for known hardware errata, do not send profile."
-msgstr ""
+msgstr "seulement analyser cette machine pour déceler les errata liés au matériel, ne pas envoyer le profile"
 
 #: sendProfile.py:108
-msgid ""
-"Smolt set to checkin but checkins are disabled (hint: service smolt start)"
+msgid "Smolt set to checkin but checkins are disabled (hint: service smolt start)"
 msgstr ""
 "Smolt configuré pour lancer une vérification mais les vérifications sont "
 "désactivées (conseil : service smolt start)"
@@ -119,11 +118,11 @@
 
 #: sendProfile.py:153
 msgid "Password:"
-msgstr ""
+msgstr "Mot de passe :"
 
 #: sendProfile.py:158
 msgid "Registration Failed, Try again"
-msgstr ""
+msgstr "Échec de l'enregistrement, essayez à nouveau"
 
 #: sendProfile.py:164
 #, python-format
@@ -160,26 +159,26 @@
 
 #: smoltGui.py:78
 msgid "_File"
-msgstr ""
+msgstr "_Fichier"
 
 #: smoltGui.py:79
 msgid "_Help"
-msgstr ""
+msgstr "_Aide"
 
 #: smoltGui.py:80
 msgid "_My Smolt Page"
-msgstr ""
+msgstr "_Ma page smolt"
 
 #: smoltGui.py:80
 msgid "Take me to my smolt profile page"
-msgstr ""
+msgstr "Ouvrir ma page de profile smolt"
 
 #: smoltGui.py:145
 msgid "An error occurred while sending the data to the server."
 msgstr "Une erreur est survenue durant l'envoi des données au serveur."
 
 #: smoltGui.py:152
-#, fuzzy, python-format
+#, python-format
 msgid ""
 "The data was successfully sent.  If you need to refer to your hardware "
 "profile for a bug report your UUID is \n"
@@ -189,7 +188,7 @@
 "Les données ont été envoyées avec succès. Si vous avez besoin de vous "
 "référer à votre profil matériel pour un rapport de bogue, votre UUID est \n"
 "%s\n"
-"stocké dans /etc/sysconfig/hw-uuid"
+"stocké dans %s"
 
 #: smoltGui.py:166
 msgid "Smolt Privacy Policy"
@@ -202,13 +201,12 @@
 "Alain Portal <aportal@univ-montp2.fr>, 2007"
 
 #: smoltGui.py:210
-#, fuzzy
 msgid "Fedora hardware profiler."
-msgstr "Envoi de votre profil matériel au serveur."
+msgstr "Profileur matériel de Fedora. "
 
 #: smoltGui.py:211
 msgid "Copyright © 2007 Mike McGrath"
-msgstr ""
+msgstr "Copyright © 2007 Mike McGrath"
 
 #: smoltGui.py:213
 msgid ""
@@ -226,6 +224,19 @@
 "this program; if not, write to the Free Software Foundation, Inc., 675 Mass "
 "Ave, Cambridge, MA 02139, USA."
 msgstr ""
+"Ce programme est un logiciel libre. Vous pouvez le redistribuer et/ou "
+"le modifier selon les termes de la licence GNU General Public License "
+"telle que publiée par la Free Software Foundation, soit sous la version "
+"2 de la licence, ou (selon votre bon vouloir) une version plus récente.\n"
+"\n"
+"Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE "
+"GARANTIE, y compris dans un objectif de COMMERCIALISATION ou d'UTILISATION "
+"DANS UN BUT PRÉCIS. Consultez la licence GNU General Public License pour plus "
+"d'informations.\n"
+"\n"
+"Vous devriez avoir reçu une copie de la licence GNU General Public License avec "
+"ce programme. Si tel n'a pas été le cas, écrivez à la Free Software Foundation, "
+"Inc., 675 Mass Ave, Cambridge, MA 02139, USA."
 
 #: smolt.py:265
 #, python-format
@@ -233,16 +244,16 @@
 msgstr "Impossible de contacter le serveur : %s"
 
 #: smolt.py:296
-#, fuzzy
 msgid "Could not bind to dbus.  Is dbus running?"
-msgstr "Impossible de contacter dbus"
+msgstr "Impossible de contacter dbus. Dbus est-il lancé ?"
 
 #: smolt.py:302
-#, fuzzy
 msgid ""
 "Could not connect to hal, is it running?\n"
 "Run \"service haldaemon start\" as root"
-msgstr "Impossible de se connecter à hal. Est-il lancé ?"
+msgstr ""
+"Impossible de se connecter à hal. Est-il lancé ? "
+"Exécutez \"service haldaemon start\" en tant que superutilisateur"
 
 #: smolt.py:338 smolt.py:427 smolt.py:488 smolt.py:505
 #, python-format
@@ -251,7 +262,7 @@
 
 #: smolt.py:436
 msgid "Wrong version, server incapable of handling your client"
-msgstr ""
+msgstr "Mauvaise version, le serveur est incapable de gérer votre client"
 
 #: smolt.py:452
 msgid "Communication with server failed"
@@ -327,23 +338,23 @@
 
 #: smolt.py:553
 msgid "SELinux Enabled"
-msgstr ""
+msgstr "SELinux activé"
 
 #: smolt.py:554
 msgid "SELinux Enforce"
-msgstr ""
+msgstr "SELinux Enforce"
 
 #: smolt.py:990
 msgid "Unable to save UUID, continuing...\n"
-msgstr ""
+msgstr "Impossible de sauvegarder l'UUID, poursuite des opérations...\n"
 
 #: smolt.py:992
 msgid "Unable to determine UUID of system!\n"
-msgstr ""
+msgstr "Impossible de déterminer l'UUID du système !\n"
 
 #: software.py:43
 msgid "Cannot Determine Runlevel"
-msgstr ""
+msgstr "Impossible de déterminer le runlevel utilisé"
 
 #: smoltFirstBoot.py:31 smoltFirstBoot.py:41
 msgid "Hardware Profile"
@@ -450,30 +461,52 @@
 "admin [at] fedoraproject.org  Also remember that users can delete their\n"
 "profiles at any time using \"smoltDeleteProfile\"\n"
 msgstr ""
+"Smolt ne fera qu'envoyer des informations succinctes relatives à votre matériel et\n"
+"à votre système d'exploitation au serveur smolt de Fedora (smoon). Le seul lien\n"
+"existant entre la machine et notre base de données est l'UUID. Tant que la personne\n"
+"envoyant ces données ne communique pas cet UUID, l'envoi reste anonyme. Si un utilisateur\n"
+"souhaite supprimer son profile matériel de la base de données, il peut le faire à tout moment\n
+en exécutant la commande : \n"
+"\n"
+"    smoltDeleteProfile\n"
+"\n"
+"Les informations envoyées à la base de données smolt doivent être considérées comme\n"
+"publiques dans la mesure où quiconque peut consulter les statistiques, les données et\n"
+"partager les profiles des machines.\n"
+"Sous de nombreux aspects, smolt est conçu pour obtenir des informations relatives aux\n"
+"vendeurs de matériels ainsi que pour attirer l'attention de tiers. Ainsi, nous utiliserons ces\n"
+"informations non seulement pour les partager avec des tiers, mais également comme un\n"
+"moyen d'améliorer le support matériel en général et des pilotes libres en particulier.\n"
+"\n"
+"Indentification par IP :  Durant l'installation de Fedora, tout le trafic web est d'abord envoyé\n"
+"vers un proxy. Il s'agit du seul endroit où les adresses IP sont conservées durant 4 semaines,\n"
+"après lesquelles les fichiers de journalisation sont supprimés. Le Projet Fedora n'utilise pas les\n"
+"adresses IP de la base de données de smolt. C'est journaux sont privés et ne seront pas rendus public.\n"
+"\n"
+"Les utilisateurs en désaccord avec cette politique ne devrait tout simplement pas utiliser smolt.\n"
+"Les utilisateurs ayant des questions à propos de cette politique peuvent contacter l'équipe de\n"
+"Infrastructure du Projet Fedora à l'adresse\n"
+"admin [at] fedoraproject.org  N'oubliez pas que vous pouvez supprimer votre profile à tout moment\n"
+"en exécutant la commande \"smoltDeleteProfile\"\n"
 
 #: scan.py:16
 #, python-format
 msgid "Scanning %s for known errata.\n"
-msgstr ""
+msgstr "Analyse de  %s à la recherche d'errata référencés.\n"
 
 #: scan.py:39
 msgid "Errata Found!"
-msgstr ""
+msgstr "Errata trouvé(s) !"
 
 #: scan.py:42
 msgid "No errata found, if this machine is having issues please go to"
-msgstr ""
+msgstr "Aucun errata n'a été trouvé. Si vous rencontrez des problèmes avec ce poste, rendez vous sur"
 
 #: scan.py:43
 msgid "your profile and create a wiki page for the device so others can"
-msgstr ""
+msgstr "votre profile et créez une page wiki pour le périphérique afin de"
 
 #: scan.py:44
 msgid "benefit"
-msgstr ""
-
-#~ msgid "Device ID"
-#~ msgstr "Identifiant du périphérique"
+msgstr "partager votre expérience"
 
-#~ msgid "Run \"service haldaemon start\" as root"
-#~ msgstr "Exécutez « service haldaemon start » en mode superutilisateur"