--- yum.master.fr.po.20070210	2008-02-11 07:44:48.000000000 +0100
+++ yum.master.fr.po	2008-02-11 20:24:36.000000000 +0100
@@ -8,7 +8,7 @@
 "Project-Id-Version: yum.master\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2008-02-08 09:51-0700\n"
-"PO-Revision-Date: 2008-02-10 11:19+0100\n"
+"PO-Revision-Date: 2008-02-11 20:24+0100\n"
 "Last-Translator: Johan Cwiklinski <johan@x-tnd.be>\n"
 "Language-Team: fr_FR <fedora-trans-fr@redhat.com>\n"
 "MIME-Version: 1.0\n"
@@ -99,7 +99,7 @@
 
 #: ../cli.py:271
 msgid "Disk Requirements:\n"
-msgstr "Besoins disque:\n"
+msgstr "Besoins en espace disque :\n"
 
 #: ../cli.py:273
 #, python-format
@@ -118,11 +118,11 @@
 
 #: ../cli.py:317
 msgid "Trying to run the transaction but nothing to do. Exiting."
-msgstr ""
+msgstr "Tentative d'exécution de la transaction mais aucune tâche à effectuer. Sortie."
 
 #: ../cli.py:347
 msgid "Exiting on user Command"
-msgstr "Sortie à la demande de l'utilisateur"
+msgstr "Arrêt à la demande de l'utilisateur"
 
 #: ../cli.py:351
 msgid "Downloading Packages:"
@@ -146,11 +146,11 @@
 
 #: ../cli.py:380
 msgid "Running Transaction Test"
-msgstr "Lancement du test de transaction"
+msgstr "Lancement de la transaction de test"
 
 #: ../cli.py:396
 msgid "Finished Transaction Test"
-msgstr "Test de transaction terminé"
+msgstr "Transaction de test terminée"
 
 #: ../cli.py:398
 msgid "Transaction Check Error:\n"
@@ -158,7 +158,7 @@
 
 #: ../cli.py:405
 msgid "Transaction Test Succeeded"
-msgstr "Test de transaction effectué"
+msgstr "Transaction de test réussie"
 
 #: ../cli.py:423
 msgid "Running Transaction"
@@ -169,10 +169,12 @@
 "Refusing to automatically import keys when running unattended.\n"
 "Use \"-y\" to override."
 msgstr ""
+"Refus de l'importation automatique des clés lors d'une exécution inattendue.\n"
+"Utilisez l'option \"-y\" pour passer outre."
 
 #: ../cli.py:484
 msgid "Parsing package install arguments"
-msgstr "Traitement des arguments d'installation des paquetages"
+msgstr "Traitement des options d'installation des paquetages"
 
 #: ../cli.py:494
 #, python-format
@@ -191,7 +193,7 @@
 #: ../yum/__init__.py:2283
 #, python-format
 msgid "Not Updating Package that is already obsoleted: %s.%s %s:%s-%s"
-msgstr ""
+msgstr "Pas de mise à jour des paquetages qui ont déjà été rendus obsolètes : %s.%s %s:%s-%s"
 
 #: ../cli.py:561
 #, python-format
@@ -222,7 +224,7 @@
 
 #: ../cli.py:647
 msgid "Matching packages for package list to user args"
-msgstr ""
+msgstr "Liste des paquetages correspondant à la demande de l'utilisateur"
 
 #: ../cli.py:685
 msgid "No Matches found"
@@ -231,7 +233,7 @@
 #: ../cli.py:722
 #, python-format
 msgid "No Package Found for %s"
-msgstr "Aucun pquetage trouvé pour %s"
+msgstr "Aucun paquetage trouvé pour %s"
 
 #: ../cli.py:734
 # Pas sûr du tout pour celle là
@@ -291,12 +293,12 @@
 
 #: ../cli.py:846
 msgid "No packages to remove from groups"
-msgstr "Aucun paquetage à supprimer depuis le groupe"
+msgstr "Aucun paquetage du groupe à supprimer"
 
 #: ../cli.py:848
 #, python-format
 msgid "%d Package(s) to remove"
-msgstr "%d paquetages à supprimer"
+msgstr "%d paquetage(s) à supprimer"
 
 #: ../cli.py:890
 #, python-format
@@ -306,7 +308,7 @@
 #: ../cli.py:901
 #, python-format
 msgid "Discarding non-comparable pkg %s.%s"
-msgstr ""
+msgstr "Rejet du paquetage non comparable %s.%s"
 
 #. we've not got any installed that match n or n+a
 #: ../cli.py:927
@@ -321,11 +323,11 @@
 
 #: ../cli.py:1073
 msgid "be tolerant of errors"
-msgstr "être tolérant aux erreurs"
+msgstr "tolérer les erreurs"
 
 #: ../cli.py:1075
 msgid "run entirely from cache, don't update cache"
-msgstr "lancer complètement depuis le cache, ne pas mettre le cache à jour"
+msgstr "exécuter entièrement depuis le cache, ne pas le mettre à jour"
 
 #: ../cli.py:1077
 msgid "config file location"
@@ -337,11 +339,11 @@
 
 #: ../cli.py:1081
 msgid "debugging output level"
-msgstr "niveau déboguage pour la sortie"
+msgstr "niveau de déboguage pour la sortie"
 
 #: ../cli.py:1084
 msgid "error output level"
-msgstr "niveau erreur pour la sortie"
+msgstr "niveau d'erreur pour la sortie"
 
 #: ../cli.py:1087
 msgid "quiet operation"
@@ -357,7 +359,7 @@
 
 #: ../cli.py:1094
 msgid "set install root"
-msgstr "définis la racine d'installation"
+msgstr "définit la racine d'installation"
 
 #: ../cli.py:1098
 msgid "enable one or more repositories (wildcards allowed)"
@@ -370,16 +372,16 @@
 #: ../cli.py:1105
 # J'ai supposé ici que "glob" signifiait "gloabally", mais cela reste totu de même obscur
 msgid "exclude package(s) by name or glob"
-msgstr "exclus des paquetages par nom ou globalement"
+msgstr "exclut des paquetages par nom ou globalement"
 
 #: ../cli.py:1107
-# comment traduire "main" ?
+# du fait de l'utilistion de dépôt principal, il faut spécifier pour l'autre
 msgid "disable exclude from main, for a repo or for everything"
-msgstr "désactive l'exclusion pour le main, pour un dépôt ou pour tout"
+msgstr "désactive l'exclusion pour le dépôt principal, pour un dépôt particulier ou pour tout"
 
 #: ../cli.py:1110
 msgid "enable obsoletes processing during updates"
-msgstr ""
+msgstr "active le traitement des paquetages obsolètes pendant les mises à jour"
 
 #: ../cli.py:1112
 msgid "disable Yum plugins"
@@ -447,7 +449,7 @@
 
 #: ../output.py:240
 msgid "Trying other mirror."
-msgstr "Essaie un autre miroir."
+msgstr "Essai d'un autre miroir."
 
 #: ../output.py:273
 #, python-format
@@ -548,7 +550,7 @@
 
 #: ../output.py:374
 msgid "  No dependencies for this package"
-msgstr "Pas de dépendences pour ce paquetage"
+msgstr "Pas de dépendances pour ce paquetage"
 
 #: ../output.py:379
 #, python-format
@@ -645,7 +647,7 @@
 
 #: ../output.py:532
 msgid "Dependency Installed"
-msgstr "Dépendance instalée"
+msgstr "Dépendance installée"
 
 #: ../output.py:534
 msgid "Dependency Updated"
@@ -677,7 +679,7 @@
 
 #: ../output.py:616
 msgid "obsoleted"
-msgstr ""
+msgstr "obsolète"
 
 #: ../output.py:617
 msgid "erased"
@@ -686,11 +688,11 @@
 #: ../output.py:621
 #, python-format
 msgid "---> Package %s.%s %s:%s-%s set to be %s"
-msgstr ""
+msgstr "---> Paquetage %s.%s %s:%s-%s devenu %s "
 
 #: ../output.py:628
 msgid "--> Running transaction check"
-msgstr "--> Lancement du test de transaction"
+msgstr "--> Lancement de la transaction de test"
 
 #: ../output.py:633
 msgid "--> Restarting Dependency Resolution with new changes."
@@ -722,7 +724,7 @@
 #: ../output.py:661
 #, python-format
 msgid "---> Downloading header for %s to pack into transaction set."
-msgstr "--> Téléchargement de l'en-tête de %s pour l'ajouter au jeu de transaction."
+msgstr "--> Téléchargement de l'en-tête de %s pour l'ajouter à la transaction."
 
 #: ../yumcommands.py:36
 msgid "You need to be root to perform this command."
@@ -766,7 +768,7 @@
 
 #: ../yumcommands.py:69
 msgid "Error: Need an item to match"
-msgstr "Erreur : il faut un un élément de correspondance est requis"
+msgstr "Erreur : un élément de correspondance est requis"
 
 #: ../yumcommands.py:75
 msgid "Error: Need a group or list of groups"
@@ -784,12 +786,12 @@
 
 #: ../yumcommands.py:102
 msgid "No argument to shell"
-msgstr ""
+msgstr "Pas d'options à passer au terminal"
 
 #: ../yumcommands.py:105
 #, python-format
 msgid "Filename passed to shell: %s"
-msgstr "Nom de fichier passé au shell : %s"
+msgstr "Nom de fichier passé au terminal : %s"
 
 #: ../yumcommands.py:109
 #, python-format
@@ -818,7 +820,7 @@
 
 #: ../yumcommands.py:182
 msgid "Update a package or packages on your system"
-msgstr "Met à jour un ou plusieurs paquets sur votre système"
+msgstr "Met à jour un ou plusieurs paquetages sur votre système"
 
 #: ../yumcommands.py:190
 msgid "Setting up Update Process"
@@ -838,15 +840,16 @@
 
 #: ../yumcommands.py:214
 msgid "Extra Packages"
-msgstr "Paquetages extra"
+msgstr "Paquetages supplémentaires"
 
 #: ../yumcommands.py:215
 msgid "Updated Packages"
 msgstr "Paquetages mis à jour"
 
 #: ../yumcommands.py:221 ../yumcommands.py:225
+# Je ne suis pas sûr que l'utilisation d'un infinitif soit un bon choix
 msgid "Obsoleting Packages"
-msgstr ""
+msgstr "Rendre obsolète les paquetages"
 
 #: ../yumcommands.py:226
 msgid "Recently Added Packages"
@@ -898,7 +901,7 @@
 
 #: ../yumcommands.py:390
 msgid "Making cache files for all metadata files."
-msgstr "Création des fichiers de cache pour tous les fichier de méta données."
+msgstr "Création des fichiers de cache pour tous les fichiers de méta données."
 
 #: ../yumcommands.py:391
 msgid "This may take a while depending on the speed of this computer"
@@ -914,7 +917,7 @@
 
 #: ../yumcommands.py:447
 msgid "Find what package provides the given value"
-msgstr "Cherche quel paquetage fourni la valeur donnée"
+msgstr "Cherche quel paquetage fournit la valeur donnée"
 
 #: ../yumcommands.py:467
 msgid "Check for available package updates"
@@ -922,7 +925,7 @@
 
 #: ../yumcommands.py:490
 msgid "Search package details for the given string"
-msgstr "Cherche la chaîne entrée dans les détails du paquetage"
+msgstr "Cherche les détails du paquetage en fonction de la chaîne entrée"
 
 #: ../yumcommands.py:496
 msgid "Searching Packages: "
@@ -946,7 +949,7 @@
 
 #: ../yumcommands.py:564
 msgid "Determine which package provides the given dependency"
-msgstr "Détermine quel paquetage fourni une dépendance donnée"
+msgstr "Détermine quel paquetage fournit une dépendance donnée"
 
 #: ../yumcommands.py:567
 msgid "Searching Packages for Dependency:"
@@ -966,7 +969,7 @@
 
 #: ../yumcommands.py:611
 msgid "Finding dependencies: "
-msgstr "Recherche de dépendences :"
+msgstr "Recherche de dépendances :"
 
 #: ../yumcommands.py:627
 msgid "Display the configured software repositories"
@@ -1045,10 +1048,13 @@
 "\n"
 "Exiting on Broken Pipe"
 msgstr ""
+"\n"
+"\n"
+"Sortie suite à une redirection cassée"
 
 #: ../yummain.py:105
 msgid "Another app is currently holding the yum lock; waiting for it to exit..."
-msgstr "Une autre application verrouille actuellement l'utilisation de yum ; attente de déverouillage..."
+msgstr "Une autre application verrouille actuellement l'utilisation de yum ; attente de déverrouillage..."
 
 #: ../yummain.py:132 ../yummain.py:171
 #, python-format
@@ -1095,7 +1101,7 @@
 
 #: ../yum/depsolve.py:83
 msgid "Setting up TransactionSets before config class is up"
-msgstr ""
+msgstr "Mise en place de l'ensemble des transactions avant configuration"
 
 #: ../yum/depsolve.py:123
 #, python-format
@@ -1110,12 +1116,12 @@
 #: ../yum/depsolve.py:163
 #, python-format
 msgid "Potential match for %s from %s"
-msgstr ""
+msgstr "Correspondance potentielle pour %s depuis %s"
 
 #: ../yum/depsolve.py:171
 #, python-format
 msgid "Matched %s to require for %s"
-msgstr ""
+msgstr "Correspondance %s trouvé pour %s "
 
 #: ../yum/depsolve.py:212
 #, python-format
@@ -1125,7 +1131,7 @@
 #: ../yum/depsolve.py:226 ../yum/depsolve.py:788
 #, python-format
 msgid "%s converted to install"
-msgstr ""
+msgstr "%s converti pour installation"
 
 #: ../yum/depsolve.py:233
 #, python-format
@@ -1144,17 +1150,17 @@
 
 #: ../yum/depsolve.py:300
 msgid "Needed Require has already been looked up, cheating"
-msgstr ""
+msgstr "Le prérequis a déjà été trouvé, on triche"
 
 #: ../yum/depsolve.py:310
 #, python-format
 msgid "Needed Require is not a package name. Looking up: %s"
-msgstr ""
+msgstr "Le prérequis n'est pas un nom de paquetage. Recherche de : %s "
 
 #: ../yum/depsolve.py:317
 #, python-format
 msgid "Potential Provider: %s"
-msgstr ""
+msgstr "Fournisseur potentiel : %s"
 
 #: ../yum/depsolve.py:340
 #, python-format
@@ -1332,7 +1338,7 @@
 
 #: ../yum/__init__.py:459
 msgid "therefore this repo cannot be reset.\n"
-msgstr "en conséquencece dépôt ne peut être réinitialisé.\n"
+msgstr "en conséquence ce dépôt ne peut être réinitialisé.\n"
 
 #: ../yum/__init__.py:464
 msgid "doUpdateSetup() will go away in a future version of Yum.\n"
@@ -1701,7 +1707,7 @@
 
 #: ../yum/__init__.py:2456
 msgid "Problem in reinstall: no package matched to install"
-msgstr "Problèmpe dans la réinstallation : aucun paquetage correspondant à installer"
+msgstr "Problème dans la réinstallation : aucun paquetage correspondant à installer"
 
 #: ../yum/__init__.py:2514
 #, python-format
@@ -1710,7 +1716,7 @@
 
 #: ../yum/__init__.py:2520
 msgid "GPG key retrieval failed: "
-msgstr "Échec de la récupréation de la clé GPG : "
+msgstr "Échec de la récupération de la clé GPG : "
 
 #: ../yum/__init__.py:2533
 msgid "GPG key parsing failed: "
@@ -1751,9 +1757,8 @@
 "Vérifiez que les URL des clés pour ce dépôt soient correctes."
 
 #: ../yum/__init__.py:2577
-# pas aidé, j'aime pas, mais j'ai pas trouvé mieux :/
 msgid "Import of key(s) didn't help, wrong key(s)?"
-msgstr "L'import de la (des) clé(s) n'a pas aidé, mauvaise(s) clé(s) ?"
+msgstr "L'import de la (des) clé(s) n'a pas résolu le problème, mauvaise(s) clé(s) ?"
 
 #: ../yum/__init__.py:2651
 msgid "Unable to find a suitable mirror."
@@ -1765,7 +1770,7 @@
 
 #: ../yum/__init__.py:2717
 msgid "Test Transaction Errors: "
-msgstr "Erreurs du test de transaction : "
+msgstr "Erreurs de la transaction de test : "
 
 #: ../yum/__init__.py:2752
 #, python-format
@@ -1795,7 +1800,7 @@
 #: ../yum/plugins.py:226
 #, python-format
 msgid "Plugin \"%s\" requires API %s. Supported API is %s."
-msgstr "Le plugin \"%s\" requiert l'API %s. L'API supportées est %s."
+msgstr "Le plugin \"%s\" requiert l'API %s. L'API supportée est %s."
 
 #: ../yum/plugins.py:253
 #, python-format
@@ -1831,7 +1836,7 @@
 #: ../rpmUtils/oldUtils.py:46
 #, python-format
 msgid "RPM %s fails md5 check"
-msgstr "Échec du contrôle MD5 poru le RPM %s"
+msgstr "Échec du contrôle MD5 pour le RPM %s"
 
 #: ../rpmUtils/oldUtils.py:144
 msgid "Could not open RPM database for reading. Perhaps it is already in use?"