--- sr_fon.po	2008-04-05 10:53:27.000000000 +0100
+++ sr.po	2008-04-05 11:14:15.000000000 +0100
@@ -46,7 +47,7 @@
 
 #: libpam/pam_strerror.c:44
 msgid "Failed to load module"
-msgstr "Неуспешно учитавање подула"
+msgstr "Неуспешно учитавање модула"
 
 #: libpam/pam_strerror.c:46
 msgid "Symbol not found"
@@ -122,7 +123,7 @@
 
 #: libpam/pam_strerror.c:82
 msgid "Conversation error"
-msgstr "Грешка у конверзацији"
+msgstr "Грешка у вези"
 
 #: libpam/pam_strerror.c:84
 msgid "Authentication token manipulation error"
@@ -138,7 +139,7 @@
 
 #: libpam/pam_strerror.c:90
 msgid "Authentication token aging disabled"
-msgstr "Чекање ознаке аутентификације је искључено"
+msgstr "Застаревање ознаке аутентификације је искључено"
 
 #: libpam/pam_strerror.c:92
 msgid "Failed preliminary check by password service"
@@ -146,7 +147,7 @@
 
 #: libpam/pam_strerror.c:94
 msgid "The return value should be ignored by PAM dispatch"
-msgstr "Повратна вредност би требала бити занемарена од стране PAM диспечера"
+msgstr "Повратна вредност би требало да буде занемарена од стране PAM диспечера"
 
 #: libpam/pam_strerror.c:96
 msgid "Module is unknown"
@@ -176,7 +177,7 @@
 #: modules/pam_cracklib/pam_cracklib.c:66
 #, c-format
 msgid "Retype new %s%spassword: "
-msgstr "Поновите нову%s%sлозинку: "
+msgstr "Поновите нову %s%sлозинку: "
 
 #: modules/pam_cracklib/pam_cracklib.c:67
 msgid "Sorry, passwords do not match."
@@ -188,11 +189,11 @@
 
 #: modules/pam_cracklib/pam_cracklib.c:445
 msgid "is a palindrome"
-msgstr "је palindrome"
+msgstr "је палиндром"
 
 #: modules/pam_cracklib/pam_cracklib.c:448
 msgid "case changes only"
-msgstr "само промене догађаја"
+msgstr "само промене малих и великих слова"
 
 #: modules/pam_cracklib/pam_cracklib.c:451
 msgid "is too similar to the old one"
@@ -208,7 +209,7 @@
 
 #: modules/pam_cracklib/pam_cracklib.c:460
 msgid "not enough character classes"
-msgstr "нема довољно класа карактера"
+msgstr "нема довољно класа знакова"
 
 #: modules/pam_cracklib/pam_cracklib.c:498
 msgid "has been already used"
@@ -217,7 +218,7 @@
 #: modules/pam_cracklib/pam_cracklib.c:526
 #: modules/pam_unix/pam_unix_passwd.c:449
 msgid "No password supplied"
-msgstr "Лозинка није дата"
+msgstr "Лозинка није задата"
 
 #: modules/pam_cracklib/pam_cracklib.c:526
 #: modules/pam_unix/pam_unix_passwd.c:449
@@ -270,12 +271,12 @@
 
 #: modules/pam_lastlog/pam_lastlog.c:226
 msgid "Welcome to your new account!"
-msgstr "Добродошли на ваш нови налог!"
+msgstr "Добро дошли на ваш нови налог!"
 
 #: modules/pam_limits/pam_limits.c:712
 #, c-format
 msgid "Too many logins for '%s'."
-msgstr "Превише пријава за '%s'."
+msgstr "Превише пријава за „%s“."
 
 #: modules/pam_mail/pam_mail.c:313
 msgid "No mail."
@@ -316,7 +317,7 @@
 #: modules/pam_mkhomedir/pam_mkhomedir.c:142
 #, c-format
 msgid "Creating directory '%s'."
-msgstr "Правим директоријум '%s'."
+msgstr "Правим директоријум „%s“."
 
 #: modules/pam_mkhomedir/pam_mkhomedir.c:147
 #, c-format
@@ -375,7 +376,7 @@
 #: modules/pam_selinux/pam_selinux_check.c:99
 #, c-format
 msgid "failed to initialize PAM\n"
-msgstr "неуспешно покретање PAM\n"
+msgstr "неуспешно покретање PAM-а\n"
 
 #: modules/pam_selinux/pam_selinux_check.c:105
 #, c-format
@@ -398,7 +399,7 @@
 
 #: modules/pam_stress/pam_stress.c:493
 msgid "Retype new STRESS password: "
-msgstr "Поново укуцајте нову STRESS лозинку: "
+msgstr "Поново унесите нову STRESS лозинку: "
 
 #: modules/pam_stress/pam_stress.c:522
 msgid "Verification mis-typed; password unchanged"
@@ -423,12 +424,12 @@
 #: modules/pam_tally/pam_tally.c:765
 #, c-format
 msgid "%s: Bad number given to --reset=\n"
-msgstr "%s: Дат је лош број аргументу --reset=\n"
+msgstr "%s: задат је лош број аргументу --reset=\n"
 
 #: modules/pam_tally/pam_tally.c:769
 #, c-format
 msgid "%s: Unrecognised option %s\n"
-msgstr "%s: Опција није препозната %s\n"
+msgstr "%s: није препозната опција %s\n"
 
 #: modules/pam_tally/pam_tally.c:781
 #, c-format
@@ -441,11 +442,11 @@
 #: modules/pam_tally/pam_tally.c:855
 #, c-format
 msgid "%s: Can't reset all users to non-zero\n"
-msgstr "%s: Не могу да поништим све кориснике на не-нулту вредност\n"
+msgstr "%s: не могу да поништим све кориснике на не-нулту вредност\n"
 
 #: modules/pam_unix/pam_unix_acct.c:229 modules/pam_unix/pam_unix_acct.c:251
 msgid "Your account has expired; please contact your system administrator"
-msgstr "Ваш налог је истекао; молим контактирајте вашем администратора система"
+msgstr "Ваш налог је истекао; молим контактирајте администратора система"
 
 #: modules/pam_unix/pam_unix_acct.c:237
 msgid "You are required to change your password immediately (root enforced)"
@@ -454,7 +455,7 @@
 
 #: modules/pam_unix/pam_unix_acct.c:243
 msgid "You are required to change your password immediately (password aged)"
-msgstr "Потребно је да моментално промените Вашу лозинку (лозинка застерела)"
+msgstr "Потребно је да моментално промените Вашу лозинку (застарела лозинка)"
 
 #: modules/pam_unix/pam_unix_acct.c:261 modules/pam_unix/pam_unix_acct.c:268
 #, c-format
@@ -462,6 +463,7 @@
 msgid_plural "Warning: your password will expire in %d days"
 msgstr[0] "Упозорење: ваша лозинка ће истећи кроз %d дан"
 msgstr[1] "Упозорење: ваша лозинка ће истећи кроз %d дана"
+msgstr[2] "Упозорење: ваша лозинка ће истећи кроз %d дана"
 
 #. TRANSLATORS: only used if dngettext is not supported
 #: modules/pam_unix/pam_unix_acct.c:273
@@ -492,7 +494,7 @@
 
 #: modules/pam_unix/pam_unix_passwd.c:582
 msgid "(current) UNIX password: "
-msgstr "(тренутно) UNIX лозинка: "
+msgstr "(тренутна) UNIX лозинка: "
 
 #: modules/pam_unix/pam_unix_passwd.c:617
 msgid "You must wait longer to change your password"
@@ -505,3 +507,4 @@
 #: modules/pam_unix/pam_unix_passwd.c:678
 msgid "Retype new UNIX password: "
 msgstr "Поново унесите нову UNIX лозинку: "
+