--- comps-f20.xml.in	2013-05-17 16:10:43.166020179 -0700
+++ comps-f20.xml.in.new2	2013-05-17 15:17:12.517899565 -0700
@@ -5656,6 +5656,26 @@
     </packagelist>
   </group>
   <group>
+    <id>guest-agents</id>
+    <_name>Guest Agents</_name>
+    <_description>Agents used when running under a hypervisor.</_description>
+    <default>true</default>
+    <uservisible>true</uservisible>
+    <packagelist>
+      <packagereq type="default">open-vm-tools</packagereq>
+    </packagelist>
+  </group>
+  <group>
+    <id>guest-desktop-agents</id>
+    <_name>Guest Desktop Agents</_name>
+    <_description>Agents used when running as a virtualized desktop.</_description>
+    <default>true</default>
+    <uservisible>true</uservisible>
+    <packagelist>
+      <packagereq type="default">open-vm-tools-desktop</packagereq>
+    </packagelist>
+  </group>
+  <group>
     <id>virtualization</id>
     <_name>Virtualization</_name>
     <_description>These packages provide a virtualization environment.</_description>
@@ -5901,6 +5921,8 @@
       <groupid>hardware-support</groupid>
       <groupid>printing</groupid>
       <groupid>firefox</groupid>
+      <groupid>guest-agents</groupid>
+      <groupid>guest-desktop-agents</groupid>
       <groupid>gnome-desktop</groupid>
     </grouplist>
     <optionlist>
@@ -5925,6 +5947,8 @@
       <groupid>multimedia</groupid>
       <groupid>hardware-support</groupid>
       <groupid>printing</groupid>
+      <groupid>guest-agents</groupid>
+      <groupid>guest-desktop-agents</groupid>
       <groupid>kde-desktop</groupid>
     </grouplist>
     <optionlist>
@@ -5951,6 +5975,8 @@
       <groupid>multimedia</groupid>
       <groupid>hardware-support</groupid>
       <groupid>printing</groupid>
+      <groupid>guest-agents</groupid>
+      <groupid>guest-desktop-agents</groupid>
       <groupid>xfce-desktop</groupid>
       <groupid>xfce-apps</groupid>
       <groupid>xfce-media</groupid>
@@ -5976,6 +6002,8 @@
       <groupid>multimedia</groupid>
       <groupid>hardware-support</groupid>
       <groupid>printing</groupid>
+      <groupid>guest-agents</groupid>
+      <groupid>guest-desktop-agents</groupid>
       <groupid>lxde-desktop</groupid>
     </grouplist>
     <optionlist>
@@ -6000,6 +6028,8 @@
       <groupid>multimedia</groupid>
       <groupid>hardware-support</groupid>
       <groupid>printing</groupid>
+      <groupid>guest-agents</groupid>
+      <groupid>guest-desktop-agents</groupid>
       <groupid>cinnamon-desktop</groupid>
     </grouplist>
     <optionlist>
@@ -6022,6 +6052,8 @@
       <groupid>multimedia</groupid>
       <groupid>hardware-support</groupid>
       <groupid>printing</groupid>
+      <groupid>guest-agents</groupid>
+      <groupid>guest-desktop-agents</groupid>
       <groupid>mate-desktop</groupid>
     </grouplist>
     <optionlist>
@@ -6043,6 +6075,8 @@
       <groupid>input-methods</groupid>
       <groupid>multimedia</groupid>
       <groupid>hardware-support</groupid>
+      <groupid>guest-agents</groupid>
+      <groupid>guest-desktop-agents</groupid>
       <groupid>sugar-desktop</groupid>
     </grouplist>
     <optionlist>
@@ -6075,6 +6109,8 @@
       <groupid>gnome-software-development</groupid>
       <groupid>kde-software-development</groupid>
       <groupid>x-software-development</groupid>
+      <groupid>guest-agents</groupid>
+      <groupid>guest-desktop-agents</groupid>
       <groupid>virtualization</groupid>
       <groupid>web-server</groupid>
     </grouplist>
@@ -6108,6 +6144,7 @@
       <groupid>standard</groupid>
       <groupid>core</groupid>
       <groupid>hardware-support</groupid>
+      <groupid>guest-agents</groupid>
       <groupid>web-server</groupid>
     </grouplist>
     <optionlist>
@@ -6132,6 +6169,7 @@
       <groupid>standard</groupid>
       <groupid>core</groupid>
       <groupid>hardware-support</groupid>
+      <groupid>guest-agents</groupid>
     </grouplist>
     <optionlist>
       <groupid>dogtag</groupid>
@@ -6162,6 +6200,8 @@
       <groupid>fonts</groupid>
       <groupid>hardware-support</groupid>
       <groupid>multimedia</groupid>
+      <groupid>guest-agents</groupid>
+      <groupid>guest-desktop-agents</groupid>
       <groupid>basic-desktop</groupid>
     </grouplist>
     <optionlist>
@@ -6187,6 +6227,7 @@
     </grouplist>
     <optionlist>
       <groupid>standard</groupid>
+      <groupid>guest-agents</groupid>
     </optionlist>
   </environment>
   <category>