From aab55f26915c6812c1084379ef785e7dde2def17 Mon Sep 17 00:00:00 2001
From: Mark O'Brien <mobrien@fedoraproject.org>
Date: Mon, 28 Sep 2020 13:14:35 +0000
Subject: [PATCH] put new aws proxies in action

---
 cloud.fedoraproject.org.cfg | 47 ++++++++++++++++++++++++++++++++++
 fedoraproject.org.cfg       | 51 +++++++++++++++++++++++++++++++++++++
 getfedora.org.cfg           | 51 +++++++++++++++++++++++++++++++++++++
 pagure.io.cfg               | 51 +++++++++++++++++++++++++++++++++++++
 4 files changed, 200 insertions(+)

diff --git a/cloud.fedoraproject.org.cfg b/cloud.fedoraproject.org.cfg
index ae15b6005..8b9739b44 100644
--- a/cloud.fedoraproject.org.cfg
+++ b/cloud.fedoraproject.org.cfg
@@ -37,6 +37,13 @@ config_opts['def_proxy_ttl'] = '60'
 #	 IN	 A	 13.125.120.8    ; proxy31 (APAC/AWS)
 #	 IN	 A	 18.185.136.17   ; proxy32 (EU/AWS)
 #        IN      A       13.244.141.152  ; proxy33 (AFR/AWS)
+#	 IN	 A	 13.250.126.156  ; proxy34 (SA/AWS)
+#	 IN	 A	 13.125.120.8    ; proxy35 (EU/AWS)
+#	 IN	 A	 18.185.136.17   ; proxy36 (EU/AWS)
+#        IN      A       13.244.141.152  ; proxy37 (APAC/AWS)
+#	 IN	 A	 13.125.120.8    ; proxy38 (APAC/AWS)
+#	 IN	 A	 18.185.136.17   ; proxy39 (AFR/AWS)
+#        IN      A       13.244.141.152  ; proxy40 (SA/AWS)
 ipv4_proxy = {
     '38.145.60.20':{
         'regions': ['DEFAULT', 'NA', 'EU', 'APAC', 'AFR'],
@@ -104,6 +111,26 @@ ipv4_proxy = {
         'regions': ['DEFAULT', 'AFR'],
         'names': ['proxy33',
                   'proxy33.fedoraproject.org']},
+    '18.130.159.183':{
+        'regions': ['EU'],
+        'names': ['proxy35',
+                  'proxy35.fedoraproject.org']},
+    '18.159.254.57':{
+        'regions': ['EU'],
+        'names': ['proxy36',
+                  'proxy36.fedoraproject.org']},
+    '13.233.183.170':{
+        'regions': ['APAC'],
+        'names': ['proxy37',
+                  'proxy37.fedoraproject.org']},
+    '13.212.21.54':{
+        'regions': ['APAC'],
+        'names': ['proxy38',
+                  'proxy38.fedoraproject.org']},
+    '13.244.109.203':{
+        'regions': ['AFR'],
+        'names': ['proxy39',
+                  'proxy39.fedoraproject.org']},
     '10.3.163.74':{
         'regions': ['IAD2'],
         'names': ['proxy01',
@@ -180,6 +207,26 @@ ipv6_proxy = {
      'regions': ['DEFAULT', 'AFR'],
      'names': ['proxy33',
                'proxy33.fedoraproject.org']},
+  '2a05:d01c:c6a:cc03:263a:8409:b961:7e02':{
+     'regions': ['EU'],
+     'names': ['proxy35',
+               'proxy35.fedoraproject.org']},
+  '2a05:d014:10:7803:f774:4d7c:e277:a457':{
+     'regions': ['EU'],
+     'names': ['proxy36',
+               'proxy36.fedoraproject.org']},
+  '2406:da1a:fcb:2f01:f381:af1a:f922:c519':{
+     'regions': ['APAC'],
+     'names': ['proxy37',
+               'proxy37.fedoraproject.org']},
+  '2406:da18:39f:a01:8c16:c226:1274:7098':{
+     'regions': ['APAC'],
+     'names': ['proxy38',
+               'proxy38.fedoraproject.org']},
+  '2406:da11:911:f403:5bba:652:9218:ecef':{
+     'regions': ['AFR'],
+     'names': ['proxy39',
+               'proxy39.fedoraproject.org']},
   }
 
 config_opts['ipv4_proxy'] = ipv4_proxy
diff --git a/fedoraproject.org.cfg b/fedoraproject.org.cfg
index f4dfc9904..f23f5e284 100644
--- a/fedoraproject.org.cfg
+++ b/fedoraproject.org.cfg
@@ -37,6 +37,13 @@ config_opts['def_proxy_ttl'] = '60'
 #	 IN	 A	 13.125.120.8    ; proxy31 (APAC/AWS)
 #	 IN	 A	 18.185.136.17   ; proxy32 (EU/AWS)
 #        IN      A       13.244.141.152  ; proxy33 (AFR/AWS)
+#        IN      A       13.250.126.156  ; proxy34 (SA/AWS)
+#        IN      A       13.125.120.8    ; proxy35 (EU/AWS)
+#        IN      A       18.185.136.17   ; proxy36 (EU/AWS)
+#        IN      A       13.244.141.152  ; proxy37 (APAC/AWS)
+#        IN      A       13.125.120.8    ; proxy38 (APAC/AWS)
+#        IN      A       18.185.136.17   ; proxy39 (AFR/AWS)
+#        IN      A       13.244.141.152  ; proxy40 (SA/AWS)
 ipv4_proxy = {
     '38.145.60.20':{
         'regions': ['DEFAULT', 'NA', 'EU', 'APAC', 'AFR'],
@@ -104,6 +111,30 @@ ipv4_proxy = {
         'regions': ['DEFAULT', 'AFR'],
         'names': ['proxy33',
                   'proxy33.fedoraproject.org']},
+    '13.244.141.152':{
+        'regions': ['DEFAULT', 'AFR'],
+        'names': ['proxy33',
+                  'proxy33.fedoraproject.org']},
+    '18.130.159.183':{
+        'regions': ['EU'],
+        'names': ['proxy35',
+                  'proxy35.fedoraproject.org']},
+    '18.159.254.57':{
+        'regions': ['EU'],
+        'names': ['proxy36',
+                  'proxy36.fedoraproject.org']},
+    '13.233.183.170':{
+        'regions': ['APAC'],
+        'names': ['proxy37',
+                  'proxy37.fedoraproject.org']},
+    '13.212.21.54':{
+        'regions': ['APAC'],
+        'names': ['proxy38',
+                  'proxy38.fedoraproject.org']},
+    '13.244.109.203':{
+        'regions': ['AFR'],
+        'names': ['proxy39',
+                  'proxy39.fedoraproject.org']},
     '10.3.163.74':{
         'regions': ['IAD2'],
         'names': ['proxy01',
@@ -180,6 +211,26 @@ ipv6_proxy = {
      'regions': ['DEFAULT', 'AFR'],
      'names': ['proxy33',
                'proxy33.fedoraproject.org']},
+  '2a05:d01c:c6a:cc03:263a:8409:b961:7e02':{
+     'regions': ['EU'],
+     'names': ['proxy35',
+               'proxy35.fedoraproject.org']},
+  '2a05:d014:10:7803:f774:4d7c:e277:a457':{
+     'regions': ['EU'],
+     'names': ['proxy36',
+               'proxy36.fedoraproject.org']},
+  '2406:da1a:fcb:2f01:f381:af1a:f922:c519':{
+     'regions': ['APAC'],
+     'names': ['proxy37',
+               'proxy37.fedoraproject.org']},
+  '2406:da18:39f:a01:8c16:c226:1274:7098':{
+     'regions': ['APAC'],
+     'names': ['proxy38',
+               'proxy38.fedoraproject.org']},
+  '2406:da11:911:f403:5bba:652:9218:ecef':{
+     'regions': ['AFR'],
+     'names': ['proxy39',
+               'proxy39.fedoraproject.org']},
   }
 
 config_opts['ipv4_proxy'] = ipv4_proxy
diff --git a/getfedora.org.cfg b/getfedora.org.cfg
index 3c11cee99..0045cd65e 100644
--- a/getfedora.org.cfg
+++ b/getfedora.org.cfg
@@ -34,6 +34,13 @@ config_opts['def_proxy_ttl'] = '60'
 #	 IN	 A	 13.125.120.8    ; proxy31 (APAC/AWS)
 #	 IN	 A	 18.185.136.17   ; proxy32 (EU/AWS)
 #        IN      A       13.244.141.152  ; proxy33 (AFR/AWS)
+#        IN      A       13.250.126.156  ; proxy34 (SA/AWS)
+#        IN      A       13.125.120.8    ; proxy35 (EU/AWS)
+#        IN      A       18.185.136.17   ; proxy36 (EU/AWS)
+#        IN      A       13.244.141.152  ; proxy37 (APAC/AWS)
+#        IN      A       13.125.120.8    ; proxy38 (APAC/AWS)
+#        IN      A       18.185.136.17   ; proxy39 (AFR/AWS)
+#        IN      A       13.244.141.152  ; proxy40 (SA/AWS)
 ipv4_proxy = {
     '38.145.60.20':{
         'regions': ['DEFAULT', 'NA', 'EU', 'APAC', 'AFR'],
@@ -101,6 +108,30 @@ ipv4_proxy = {
         'regions': ['DEFAULT', 'AFR'],
         'names': ['proxy33',
                   'proxy33.fedoraproject.org']},
+    '13.244.141.152':{
+        'regions': ['DEFAULT', 'AFR'],
+        'names': ['proxy33',
+                  'proxy33.fedoraproject.org']},
+    '18.130.159.183':{
+        'regions': ['EU'],
+        'names': ['proxy35',
+                  'proxy35.fedoraproject.org']},
+    '18.159.254.57':{
+        'regions': ['EU'],
+        'names': ['proxy36',
+                  'proxy36.fedoraproject.org']},
+    '13.233.183.170':{
+        'regions': ['APAC'],
+        'names': ['proxy37',
+                  'proxy37.fedoraproject.org']},
+    '13.212.21.54':{
+        'regions': ['APAC'],
+        'names': ['proxy38',
+                  'proxy38.fedoraproject.org']},
+    '13.244.109.203':{
+        'regions': ['AFR'],
+        'names': ['proxy39',
+                  'proxy39.fedoraproject.org']},
     '10.3.163.74':{
         'regions': ['IAD2'],
         'names': ['proxy01',
@@ -177,6 +208,26 @@ ipv6_proxy = {
      'regions': ['DEFAULT', 'AFR'],
      'names': ['proxy33',
                'proxy33.fedoraproject.org']},
+  '2a05:d01c:c6a:cc03:263a:8409:b961:7e02':{
+     'regions': ['EU'],
+     'names': ['proxy35',
+               'proxy35.fedoraproject.org']},
+  '2a05:d014:10:7803:f774:4d7c:e277:a457':{
+     'regions': ['EU'],
+     'names': ['proxy36',
+               'proxy36.fedoraproject.org']},
+  '2406:da1a:fcb:2f01:f381:af1a:f922:c519':{
+     'regions': ['APAC'],
+     'names': ['proxy37',
+               'proxy37.fedoraproject.org']},
+  '2406:da18:39f:a01:8c16:c226:1274:7098':{
+     'regions': ['APAC'],
+     'names': ['proxy38',
+               'proxy38.fedoraproject.org']},
+  '2406:da11:911:f403:5bba:652:9218:ecef':{
+     'regions': ['AFR'],
+     'names': ['proxy39',
+               'proxy39.fedoraproject.org']},
   }
 
 config_opts['ipv4_proxy'] = ipv4_proxy
diff --git a/pagure.io.cfg b/pagure.io.cfg
index 1d64a3831..2ed10cd38 100644
--- a/pagure.io.cfg
+++ b/pagure.io.cfg
@@ -36,6 +36,13 @@ config_opts['def_proxy_ttl'] = '60'
 #	 IN	 A	 13.125.120.8    ; proxy31 (APAC/AWS)
 #	 IN	 A	 18.185.136.17   ; proxy32 (EU/AWS)
 #	 IN	 A	 13.244.141.152  ; proxy33 (AFR/AWS)
+#        IN      A       13.250.126.156  ; proxy34 (SA/AWS)
+#        IN      A       13.125.120.8    ; proxy35 (EU/AWS)
+#        IN      A       18.185.136.17   ; proxy36 (EU/AWS)
+#        IN      A       13.244.141.152  ; proxy37 (APAC/AWS)
+#        IN      A       13.125.120.8    ; proxy38 (APAC/AWS)
+#        IN      A       18.185.136.17   ; proxy39 (AFR/AWS)
+#        IN      A       13.244.141.152  ; proxy40 (SA/AWS)
 ipv4_proxy = {
     '38.145.60.20':{
         'regions': ['DEFAULT', 'NA', 'EU', 'APAC', 'AFR'],
@@ -103,6 +110,30 @@ ipv4_proxy = {
         'regions': ['DEFAULT', 'AFR'],
         'names': ['proxy33',
                   'proxy33.fedoraproject.org']},
+    '13.244.141.152':{
+        'regions': ['DEFAULT', 'AFR'],
+        'names': ['proxy33',
+                  'proxy33.fedoraproject.org']},
+    '18.130.159.183':{
+        'regions': ['EU'],
+        'names': ['proxy35',
+                  'proxy35.fedoraproject.org']},
+    '18.159.254.57':{
+        'regions': ['EU'],
+        'names': ['proxy36',
+                  'proxy36.fedoraproject.org']},
+    '13.233.183.170':{
+        'regions': ['APAC'],
+        'names': ['proxy37',
+                  'proxy37.fedoraproject.org']},
+    '13.212.21.54':{
+        'regions': ['APAC'],
+        'names': ['proxy38',
+                  'proxy38.fedoraproject.org']},
+    '13.244.109.203':{
+        'regions': ['AFR'],
+        'names': ['proxy39',
+                  'proxy39.fedoraproject.org']},
     '10.3.163.74':{
         'regions': ['IAD2'],
         'names': ['proxy01',
@@ -179,6 +210,26 @@ ipv6_proxy = {
      'regions': ['DEFAULT', 'AFR'],
      'names': ['proxy33',
                'proxy33.fedoraproject.org']},
+  '2a05:d01c:c6a:cc03:263a:8409:b961:7e02':{
+     'regions': ['EU'],
+     'names': ['proxy35',
+               'proxy35.fedoraproject.org']},
+  '2a05:d014:10:7803:f774:4d7c:e277:a457':{
+     'regions': ['EU'],
+     'names': ['proxy36',
+               'proxy36.fedoraproject.org']},
+  '2406:da1a:fcb:2f01:f381:af1a:f922:c519':{
+     'regions': ['APAC'],
+     'names': ['proxy37',
+               'proxy37.fedoraproject.org']},
+  '2406:da18:39f:a01:8c16:c226:1274:7098':{
+     'regions': ['APAC'],
+     'names': ['proxy38',
+               'proxy38.fedoraproject.org']},
+  '2406:da11:911:f403:5bba:652:9218:ecef':{
+     'regions': ['AFR'],
+     'names': ['proxy39',
+               'proxy39.fedoraproject.org']},
   }
 
 config_opts['ipv4_proxy'] = ipv4_proxy
-- 
2.18.4